Article ID: 2380, created on Oct 29, 2007, last review on Apr 18, 2012

  • Applies to:
  • Pro Control Panel Linux

AdditionalInformation

View Knowledge
Knowledge ID 1138
Product : WEBppliance for Linux
Version : 3.5.19
Topic : Notification

Title
SECURITY: ProFTPD, Apache and Perl security fixes

Summary
SECURITY: ProFTPD, Apache and Perl security fixes

Prevention


Details
Solution:

Title: ProFTPD ASCII File Remote Compromise Vulnerability

Advisory: http://xforce.iss.net/xforce/alerts/id/154

Affected Versions:   WEBppliance Pro for Linux 3.5.19, WEBppliance Basic for Linux 3.5.19

Details:

ISS X-Force has discovered a flaw in the ProFTPD Unix FTP server.  For more details on the vulnerability please refer to http://xforce.iss.net/xforce/alerts/id/154


Title: Updated Apache and mod_ssl packages fix security vulnerabilities

Advisory: RHSA-2002:222-21

Affected Products: WEBppliance Pro for Linux 3.5.19, WEBppliance Basic for Linux 3.5.19

Details:   
SECURITY: Updated Apache and mod_ssl packages fix security vulnerabilities. For more details on the security vulnerabilities refer to https://rhn.redhat.com/errata/RHSA-2002-222.html


Title: Updated Perl packages fix security issues

Advisory: RHBA-2002:023-10

Affected Products: WEBppliance Pro for Linux 3.5.19, WEBppliance Basic for Linux 3.5.19

Details: Updated Perl packages fix security issues. For more details on the security issues please refer to https://rhn.redhat.com/errata/RHBA-2002-023.html


RPM Packages:

Please download the following RPMS and refer to the installation section for installation instructions.

For WEBppliance Pro for Linux 3.5.19, download these from http://download.swsoft.com/ensim/download/webppliance/linux/Pro/3.5.19/errata

For WEBppliance Basic for Linux 3.5.19, download these from http://download.swsoft.com/ensim/download/webppliance/linux/Basic/3.5.19/errata


Installation Instructions

WARNING: Please make sure that your WEBppliance Pro/Basic is at version 3.5.19 before applying this security fix.

WEBppliance Pro and Basic for Linux LS

Once you've downloaded these RPMS into a single directory then do:

rpm -Fvh *.rpm
/etc/rc.d/init.d/webppliance restart

WEBppliance Pro and Basic LH

Please refer to http://onlinesupport.ensim.com/TWKB/Viewcase.asp?QSRuleID=816 on now to use these RPMS to revise your WEBppliance suite on your ServerXchange.


Attachments


Related Knowledge

Related Links
 
Last ModifiedUsageSatisfiedLast Used
8/20/2004 12:55:42 PM3010010/11/2007 6:18:09 AM

4cc899da08664637a8bc437308d3ddd7 3ccb419cf98083f3bb45808fba8dbc7c 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF